Create a business task
curl --request POST \
--url https://api.nextlevelmca.com/v1/businesses/{id}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"due_date": "2026-10-01",
"assignee_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', due_date: '2026-10-01', assignee_id: '<string>'})
};
fetch('https://api.nextlevelmca.com/v1/businesses/{id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/businesses/{id}/tasks"
payload = {
"title": "<string>",
"due_date": "2026-10-01",
"assignee_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"entity_type": "business",
"entity_id": "<string>",
"title": "<string>",
"due_date": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>"
},
"completed": true,
"completed_at": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Businesses
Create a business task
Creates a follow-up task on the business, optionally assigned and dated.
POST
/
v1
/
businesses
/
{id}
/
tasks
Create a business task
curl --request POST \
--url https://api.nextlevelmca.com/v1/businesses/{id}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"due_date": "2026-10-01",
"assignee_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', due_date: '2026-10-01', assignee_id: '<string>'})
};
fetch('https://api.nextlevelmca.com/v1/businesses/{id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/businesses/{id}/tasks"
payload = {
"title": "<string>",
"due_date": "2026-10-01",
"assignee_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"entity_type": "business",
"entity_id": "<string>",
"title": "<string>",
"due_date": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>"
},
"completed": true,
"completed_at": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Business id
Body
application/json
Was this page helpful?